## org.eclipse.datatools.connectivity.ui.wizards
Interface IProfileWizardProvider

All Known Subinterfaces:
  IWizardCategoryProvider

    public interface IProfileWizardProvider

Author:
  shongxum

Method Summary
`org.eclipse.swt.graphics.Image` `getCachedIcon()` In order to reduce resources' leak
`java.lang.String` `getCategory()`
`java.lang.String` `getDescription()`
`org.eclipse.jface.resource.ImageDescriptor` `getIcon()`
`java.lang.String` `getId()`
`java.lang.String` `getName()`
`org.eclipse.jface.wizard.IWizard` `getWizard()` Note: do not cache IWizard!!!

Method Detail

### getIcon

    org.eclipse.jface.resource.ImageDescriptor getIcon()

  Returns:
    Returns the icon.

### getCachedIcon

    org.eclipse.swt.graphics.Image getCachedIcon()

  In order to reduce resources' leak

  Returns:
    Image

### getId

    java.lang.String getId()

  Returns:
    Returns the id.

### getName

    java.lang.String getName()

  Returns:
    Returns the name.

### getDescription

    java.lang.String getDescription()

  Returns:
    Returns the description

### getCategory

    java.lang.String getCategory()

  Returns:
    Returns the category id

### getWizard

    org.eclipse.jface.wizard.IWizard getWizard()

  Note: do not cache IWizard!!!

  Returns:
    Returns the wizard.